Skip to main content

Receipt

Use this endpoint to get the receipt of a transaction by its id.

Available Environments​

https://api.gateway.com.br/core

Endpoint​

  • Method: POST
  • Endpoint: /transaction/{id}/receipt
  • Authentication: Bearer token

Path Params​

NameTypeRequiredDescriptionValidations
idstring (UUID)YesTransaction identifierMust be a valid UUID

Request Example​

curl --request POST \
--url https://api.gateway.com.br/core/transaction/553e8400-e29b-41d4-a716-436251480000/receipt \
--header 'Authorization: Bearer your-jwt-token'

Success Response​

FieldTypeRequiredDescription
idstringYesTransaction identifier
paymentReceiptUrlstringYesURL to download or view the receipt
expirationDatestring (ISO)NoReceipt expiration date

Response Example​

{
"id": "553e8400-e29b-41d4-a716-436251480000",
"paymentReceiptUrl": "https://files.exemplo.com.br/receipts/transaction-553e8400-e29b-41d4-a716-436251480000.pdf",
"expirationDate": "2026-04-01T00:00:00.000Z"
}

Possible Errors​

CodeDescriptionSolution
401Invalid credentialsCheck your credentials
403No permission/authorizationContact support
404Transaction or receipt not foundCheck the id you sent
422Invalid or missing dataCheck the format of the data
500Internal errorContact support